//=========== radio ============
.radio-inline {
  display: inline-block;
  min-width: 100px;
}

[type="radio"] {
  &:not(:checked),
  &:checked {
    position: absolute;
    width: 0;
    height: 0;
    overflow: hidden;
    opacity: 0;
  }
  &:not(:checked) + label,
  &:checked + label {
    position: relative;
    padding-right: 1.45em;
    cursor: pointer;
    margin-left: 15px;
    user-select: none;
  }
  &:not(:checked) + label:before,
  &:checked + label:before {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    width: 1.1em;
    height: 1.1em;
    border: 1px solid #cecece;
    background: #fff;
    border-radius: 50%;
    top: 50%;
    transform: translate(0, -50%);
  }
  &:checked + label:before {
    background-color: $primary;
  }

  &:not(:checked) + label:after {
    opacity: 0;
    transform: scale(0);
  }
  &:checked + label:after {
    opacity: 1;
    transform: scale(1);
  }
  &:disabled:not(:checked) + label:before,
  &:disabled:checked + label:before {
    box-shadow: none;
    border-color: #bbb;
    background-color: #ddd;
  }
  &:disabled:checked + label:after {
    color: #999;
  }
  &:disabled + label {
    color: #aaa;
  }


  &:not(:checked) + label,
  &:checked + label {
    padding-right: 25px;
  }
  &:not(:checked) + label:before,
  &:checked + label:before {
    width: 20px;
    height: 20px;
  }
  &:checked + label:before {
    background-color: $primary;
    border-color: transparent;
  }
  &:not(:checked) + label:after,
  &:checked + label:after {
    background-color: #fff;
    position: absolute;
    top: 50%;
    right: 0;
    width: 20px;
    height: 20px;
    content: '';
    border-radius: 50%;
    transition: all 0.15s ease-out;
    transform: scale(0) translateY(-50%);
    transform-origin: top center;
  }
  &:not(:checked) + label:after {
    opacity: 0;
  }
  &:checked + label:after {

    opacity: 1;
    transform: scale(0.5) translateY(-50%);
  }
}
